<?php
if(!defined("ROOT_PATH")){
	define("ROOT_PATH",dirname(str_replace("\\", "/", dirname(__FILE__)))."/");
}
/**
@删除目录下的所有文件 保留当前目录
*/
function delfile($dir,$rmdir=0)
{
	$hd=opendir($dir);
	while(false !== ($f=readdir($hd)))
	{
		if($f!=".." && $f!=".")
		{
			if(is_dir($dir."/".$f)){
				delfile($dir."/".$f."/",$rmdir);
			}else
			{
				unlink($dir."/".$f);
			}
		}
	}
	 
	closedir($hd);
	if($rmdir)
	{
		rmdir($dir);
	}
}


/*创建文件夹*/
function umkdir($dir)
{
	$dir=str_replace(ROOT_PATH,"",$dir);
	$arr=explode("/",$dir);
	foreach($arr as $key=>$val)
	{
		$d="";
		for($i=0;$i<=$key;$i++)
		{
			$d.=$arr[$i]."/";
		} 
		if(!file_exists(ROOT_PATH.$d))
		{ 
			mkdir(ROOT_PATH.$d,0755);
		}
	}
}
/*需要跟cls_upload.php 中的方法一样*/
function dirId($id){
		return (($id/1000000)%100)."/".(($id/10000)%100)."/".(($id/100)%100)."/".($id%100)."/".$id."/";
	}

?>